diff --git a/test/unit/time_entry_import_test.rb b/test/unit/time_entry_import_test.rb
index 08c113251..6805bab85 100644
--- a/test/unit/time_entry_import_test.rb
+++ b/test/unit/time_entry_import_test.rb
@@ -20,18 +20,6 @@
 require_relative '../test_helper'
 
 class TimeEntryImportTest < ActiveSupport::TestCase
-  fixtures :projects, :enabled_modules,
-           :users, :email_addresses,
-           :roles, :members, :member_roles,
-           :issues, :issue_statuses,
-           :trackers, :projects_trackers,
-           :versions,
-           :issue_categories,
-           :enumerations,
-           :workflows,
-           :custom_fields,
-           :custom_values
-
   include Redmine::I18n
 
   def setup
diff --git a/test/unit/time_entry_query_test.rb b/test/unit/time_entry_query_test.rb
index 77e125c80..16d4af075 100644
--- a/test/unit/time_entry_query_test.rb
+++ b/test/unit/time_entry_query_test.rb
@@ -20,16 +20,6 @@
 require_relative '../test_helper'
 
 class TimeEntryQueryTest < ActiveSupport::TestCase
-  fixtures :issues, :projects, :users,
-           :members, :roles, :member_roles,
-           :trackers, :issue_statuses,
-           :projects_trackers,
-           :journals, :journal_details,
-           :issue_categories, :enumerations,
-           :groups_users,
-           :enabled_modules,
-           :custom_fields, :custom_fields_trackers, :custom_fields_projects
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/time_entry_test.rb b/test/unit/time_entry_test.rb
index 358408c99..6d04619e8 100644
--- a/test/unit/time_entry_test.rb
+++ b/test/unit/time_entry_test.rb
@@ -22,16 +22,6 @@ require_relative '../test_helper'
 class TimeEntryTest < ActiveSupport::TestCase
   include Redmine::I18n
 
-  fixtures :issues, :projects, :users, :time_entries,
-           :members, :roles, :member_roles,
-           :trackers, :issue_statuses,
-           :projects_trackers,
-           :journals, :journal_details,
-           :issue_categories, :enumerations,
-           :groups_users,
-           :enabled_modules,
-           :custom_fields, :custom_fields_projects, :custom_values
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/token_test.rb b/test/unit/token_test.rb
index a0801ef90..d40b3a2a1 100644
--- a/test/unit/token_test.rb
+++ b/test/unit/token_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class TokenTest < ActiveSupport::TestCase
-  fixtures :tokens, :users, :email_addresses
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/tracker_test.rb b/test/unit/tracker_test.rb
index f63a994bf..a9728b9b2 100644
--- a/test/unit/tracker_test.rb
+++ b/test/unit/tracker_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class TrackerTest < ActiveSupport::TestCase
-  fixtures :trackers, :workflows, :issue_statuses, :roles, :issues, :custom_fields, :projects, :projects_trackers, :enabled_modules
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/user_import_test.rb b/test/unit/user_import_test.rb
index 2a00f36c9..7acd4db8c 100644
--- a/test/unit/user_import_test.rb
+++ b/test/unit/user_import_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class UserImportTest < ActiveSupport::TestCase
-  fixtures :users, :auth_sources, :custom_fields
-
   include Redmine::I18n
 
   def setup
diff --git a/test/unit/user_preference_test.rb b/test/unit/user_preference_test.rb
index 2b0f606de..1eea63917 100644
--- a/test/unit/user_preference_test.rb
+++ b/test/unit/user_preference_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class UserPreferenceTest < ActiveSupport::TestCase
-  fixtures :users, :user_preferences
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/user_query_test.rb b/test/unit/user_query_test.rb
index e2d61a338..1f8ce3464 100644
--- a/test/unit/user_query_test.rb
+++ b/test/unit/user_query_test.rb
@@ -19,9 +19,6 @@
 require_relative '../test_helper'
 
 class UserQueryTest < ActiveSupport::TestCase
-  fixtures :users, :groups_users, :email_addresses,
-           :custom_fields, :custom_values, :auth_sources
-
   def test_available_columns_should_include_user_custom_fields
     query = UserQuery.new
     assert_include :cf_4, query.available_columns.map(&:name)
diff --git a/test/unit/user_test.rb b/test/unit/user_test.rb
index 5698a1b8d..ede12e1ce 100644
--- a/test/unit/user_test.rb
+++ b/test/unit/user_test.rb
@@ -20,18 +20,6 @@
 require_relative '../test_helper'
 
 class UserTest < ActiveSupport::TestCase
-  fixtures :users, :email_addresses, :members, :projects, :roles, :member_roles, :auth_sources,
-           :trackers, :issue_statuses,
-           :projects_trackers,
-           :watchers,
-           :issue_categories, :enumerations, :issues,
-           :journals, :journal_details,
-           :groups_users,
-           :enabled_modules,
-           :tokens,
-           :user_preferences,
-           :custom_fields, :custom_fields_projects, :custom_fields_trackers, :custom_values
-
   include Redmine::I18n
 
   def setup
diff --git a/test/unit/version_test.rb b/test/unit/version_test.rb
index 409f1494c..f65b99f02 100644
--- a/test/unit/version_test.rb
+++ b/test/unit/version_test.rb
@@ -20,11 +20,6 @@
 require_relative '../test_helper'
 
 class VersionTest < ActiveSupport::TestCase
-  fixtures :projects, :users, :issues, :issue_statuses, :trackers,
-           :enumerations, :versions, :projects_trackers,
-           :custom_fields, :custom_fields_trackers, :custom_fields_projects,
-           :members, :member_roles, :roles, :issue_categories
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/watcher_test.rb b/test/unit/watcher_test.rb
index 51a1bd402..1fd853f31 100644
--- a/test/unit/watcher_test.rb
+++ b/test/unit/watcher_test.rb
@@ -20,12 +20,6 @@
 require_relative '../test_helper'
 
 class WatcherTest < ActiveSupport::TestCase
-  fixtures :projects, :groups_users, :users, :user_preferences, :email_addresses, :members, :member_roles, :roles, :enabled_modules,
-           :issues, :issue_statuses, :enumerations, :trackers, :projects_trackers,
-           :boards, :messages,
-           :wikis, :wiki_pages,
-           :watchers
-
   def setup
     User.current = nil
     @user = User.find(1)
diff --git a/test/unit/wiki_content_test.rb b/test/unit/wiki_content_test.rb
index 0e3b95860..3b31f2f36 100644
--- a/test/unit/wiki_content_test.rb
+++ b/test/unit/wiki_content_test.rb
@@ -20,11 +20,6 @@
 require_relative '../test_helper'
 
 class WikiContentTest < ActiveSupport::TestCase
-  fixtures :projects, :enabled_modules,
-           :users, :members, :member_roles, :roles,
-           :email_addresses,
-           :wikis, :wiki_pages, :wiki_contents, :wiki_content_versions
-
   def setup
     User.current = nil
     @wiki = Wiki.find(1)
diff --git a/test/unit/wiki_content_version_test.rb b/test/unit/wiki_content_version_test.rb
index 057547075..a08dd389a 100644
--- a/test/unit/wiki_content_version_test.rb
+++ b/test/unit/wiki_content_version_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class WikiContentVersionTest < ActiveSupport::TestCase
-  fixtures :projects, :users, :wikis, :wiki_pages, :wiki_contents, :wiki_content_versions
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/wiki_page_test.rb b/test/unit/wiki_page_test.rb
index 650857968..898b3b885 100644
--- a/test/unit/wiki_page_test.rb
+++ b/test/unit/wiki_page_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class WikiPageTest < ActiveSupport::TestCase
-  fixtures :projects, :wikis, :wiki_pages, :wiki_contents, :wiki_content_versions
-
   def setup
     User.current = nil
     @wiki = Wiki.find(1)
diff --git a/test/unit/wiki_redirect_test.rb b/test/unit/wiki_redirect_test.rb
index f53908154..7dcceb8a5 100644
--- a/test/unit/wiki_redirect_test.rb
+++ b/test/unit/wiki_redirect_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class WikiRedirectTest < ActiveSupport::TestCase
-  fixtures :projects, :wikis, :wiki_pages
-
   def setup
     User.current = nil
     @wiki = Wiki.find(1)
diff --git a/test/unit/wiki_test.rb b/test/unit/wiki_test.rb
index 6701f6f2d..b08c5be5f 100644
--- a/test/unit/wiki_test.rb
+++ b/test/unit/wiki_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class WikiTest < ActiveSupport::TestCase
-  fixtures :projects, :wikis, :wiki_pages, :wiki_contents, :wiki_content_versions
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/workflow_test.rb b/test/unit/workflow_test.rb
index 99c784ce7..77d0e24f0 100644
--- a/test/unit/workflow_test.rb
+++ b/test/unit/workflow_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class WorkflowTest < ActiveSupport::TestCase
-  fixtures :roles, :trackers, :issue_statuses
-
   def setup
     User.current = nil
   end
diff --git a/test/unit/workflow_transition_test.rb b/test/unit/workflow_transition_test.rb
index 345ac8339..1ff077e28 100644
--- a/test/unit/workflow_transition_test.rb
+++ b/test/unit/workflow_transition_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class WorkflowTransitionTest < ActiveSupport::TestCase
-  fixtures :roles, :trackers, :issue_statuses
-
   def setup
     User.current = nil
     WorkflowTransition.delete_all
-- 
2.45.2

